<script setup>
const props = defineProps({
  row: {
    type: Object,
    required: true,
    default: {}
  }
})

const servicecategories = ref([])

const setup = async () => {
  servicecategories.value = await useEntities("servicecategories").select()
}

setup()
</script>

<template>
  <span v-if="props.row.servicecategories && servicecategories.length > 0">{{props.row.servicecategories.map(i => servicecategories.find(x => x.id === i).name).join(", ")}}</span>
</template>
